Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 594772 - Typo in a patch that breaks kernel compilation
Summary: Typo in a patch that breaks kernel compilation
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.9
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Vitaly Mayatskikh
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-21 14:48 UTC by Murilo Opsfelder Araujo
Modified: 2010-06-03 06:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-03 06:48:40 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Murilo Opsfelder Araujo 2010-05-21 14:48:37 UTC
Description of problem:
The patch linux-2.6.9-tty-fix-tty-holes.patch inside the source rpm from http://ftp.redhat.com/pub/redhat/linux/updates/enterprise/4WS/en/os/SRPMS/kernel-2.6.9-89.0.25.EL.src.rpm (released in RHSA-2010-0394) has a minor typo that breaks the compilation:

drivers/net/irda/irtty-sir.c: In function `irtty_chars_in_buffer':
drivers/net/irda/irtty-sir.c:65: error: structure has no member named `drivers'
make[1]: *** [drivers/net/irda/irtty-sir.o] Error 1
make[1]: *** Waiting for unfinished jobs....
make[1]: *** Waiting for unfinished jobs....
make: *** [_module_drivers/net/irda] Error 2

The correct member name inside priv->tty structure is "driver" (without "s"), not "drivers".

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Rebuild the source rpm
2.
3.
  
Actual results:
Compilation breaks.

Expected results:
Compile with no issues.

Additional info:

Comment 2 Andy Gospodarek 2010-06-02 19:35:07 UTC
I'll let Vitaly decide how to fix this one (and wonder how it got out the door).

Comment 3 Vitaly Mayatskikh 2010-06-03 06:48:40 UTC
Obviously, kernel rebuilds ok from src.rpm. I'm not sure, how Murilo does his build, but RHEL-4 has

# CONFIG_IRDA is not set

That said, IRDA is not supported in RHEL-4 and is not compiled during our build process. This is the reason, why IRDA is broken: developer of tty patch simply haven't ever seen this compile error.

Murilo, I'm sorry, but there's no chance to commit patch for unsupported subsystem in RHEL. Our policy prevents it. If you decide to modify standard src.rpm, you have to manage all problems yourself.


Note You need to log in before you can comment on or make changes to this bug.